<div class="example-form">
  <h1 mat-dialog-title>Add user</h1>
  <form [formGroup]="registerForm">
    <div mat-dialog-content>
      <p>
        <mat-form-field class="example-full-width">
          <mat-label>Email</mat-label>
          <input matInput  type="email" formControlName="registerEmail">
          <mat-error *ngIf="registerForm.controls['registerEmail'].hasError('email') && !registerForm.controls['registerEmail'].hasError('required')">
            Please enter a valid email address
          </mat-error>
          <mat-error *ngIf="registerForm.controls['registerEmail'].hasError('required')">
            Email is <strong>required</strong>
          </mat-error>
        </mat-form-field>
      </p>
      <table class="example-full-width" cellspacing="0">
        <tr>
          <td>
            <mat-form-field class="example-full-width">
              <mat-label>Username</mat-label>
              <input matInput formControlName="registerUsername">
              <mat-error *ngIf="registerForm.controls['registerUsername'].hasError('required')">
                Username is <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </td>
          <td>
            <mat-form-field class="example-full-width">
              <mat-label>Password</mat-label>
              <input matInput  type="password" formControlName="registerPassword">
              <mat-error *ngIf="registerForm.controls['registerPassword'].hasError('required')">
                Password is <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </td>
        </tr>
        <tr>
          <td>
            <mat-form-field class="example-full-width">
              <mat-label>Telephone</mat-label>
              <input type="tel" matInput placeholder="090-3949-5969" formControlName="registerPhone">
              <mat-error *ngIf="registerForm.controls['registerPhone'].errors">
                Please enter a valid phone number
              </mat-error>
            </mat-form-field>
          </td>
          <td>
            <mat-form-field class="example-full-width">
              <mat-label>Birthday</mat-label>
              <input matInput [matDatepicker]="picker" formControlName="registerBirthday">
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
          </td>
        </tr>
        <tr>
          <td>
            <mat-form-field class="example-full-width">
              <mat-label>First name</mat-label>
              <input matInput formControlName="registerFirstName">
            </mat-form-field>
          </td>
          <td>
            <mat-form-field class="example-full-width">
              <mat-label>Last Name</mat-label>
              <input matInput formControlName="registerLastName">
            </mat-form-field>
          </td>
        </tr>
      </table>
      <p>
        <mat-form-field class="example-full-width">
          <mat-label>Description</mat-label>
          <textarea matInput formControlName="registerDesc"></textarea>
        </mat-form-field>
      </p>
    </div>
    <div mat-dialog-actions>
      <button mat-raised-button color="warn" (click)="onNoClick()">Discard</button>
      <button mat-raised-button color="primary" [mat-dialog-close]="newUser" (click)="create()" cdkFocusInitial [disabled]="registerForm.invalid">Create</button>
    </div>
  </form>
</div>